%global _empty_manifest_terminate_build 0
Name:		python-dracclient
Version:	8.0.0
Release:	1
Summary:	Library for managing machines with Dell iDRAC cards
License:	Apache-2
URL:		https://launchpad.net/python-dracclient
Source0:	https://files.pythonhosted.org/packages/a9/40/bd311efeacb402ea967a4c7adfadb9c4ef077de66eff14812d95d30c16d6/python-dracclient-%{version}.tar.gz
BuildArch:	noarch

Requires:	python3-lxml
Requires:	python3-pbr
Requires:	python3-requests

%description
Library for managing machines with Dell iDRAC cards.

%package -n python3-dracclient
Summary:	Library for managing machines with Dell iDRAC cards
Provides:	python-dracclient
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-pbr
%description -n python3-dracclient
Library for managing machines with Dell iDRAC cards.

%package help
Summary:	Development documents and examples for python-dracclient
Provides:	python3-dracclient-doc
%description help
Library for managing machines with Dell iDRAC cards.

%prep
%autosetup -n python-dracclient-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-dracclient -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Mar 29 2024 wangqiang <wangqiang1@kylinos.cn> - 8.0.0-1
- Update package to version 8.0.0

* Fri Jan 29 2021 zhangy <zhangy1317@foxmail.com>
- Add buildrequires
* Thu Jan 14 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
